#
# spec file for package libiodbc (Version 3.0.4)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  glib glib-devel gpp gtk gtk-devel libgpp xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gpp gppshare grep groff gtk gtk-devel gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         libiodbc
Copyright:    LGPL
Group:        Development/Libraries
Autoreqprov:  on
Conflicts:	unixODBC unixODBC-devel unixODBC-gui-qt unixODBC-gui-gtk
Version:      3.0.4
Release:      127
Summary:      The iODBC Driver Manager Library
Source:       libiodbc-%{version}_src.tar.bz2
Patch:        libiodbc-%{version}.dif
Patch1:       libiodbc-%{version}-ia64.dif
Patch2:       libiodbc-%{version}-buildroot.dif
BuildRoot:    /var/tmp/build-%{name}

%description
The iODBC Driver Manager is a free implementation of the SAG CLI and
ODBC compliant driver manager which allows developers to write ODBC
compliant applications that can connect to various databases using
appropriate backend drivers.

Authors:
--------
    Ke Jin <kejin@inprise.com>
    Patrick van Kleef <iodbc@openlinksw.com>

SuSE series: ap

%package devel
Summary:      Header files and libraries for iODBC development
Group:        Development/Libraries
Requires:     libiodbc
Provides:     iodb_dev
Obsoletes:    iodb_dev
Conflicts:	unixODBC unixODBC-devel unixODBC-gui-qt unixODBC-gui-gtk

%description devel
This package contains the header files and libraries needed to develop
program that use the driver manager.

Authors:
--------
    Ke Jin <kejin@inprise.com>
    Patrick van Kleef <iodbc@openlinksw.com>

SuSE series: d

%package -n iodbcadm
Summary:      The iODBC Administrator
Group:        Applications/Databases
Requires:     libiodbc
Conflicts:	unixODBC unixODBC-devel unixODBC-gui-qt unixODBC-gui-gtk

%description -n iodbcadm
The iODBC Administrator is a GTK based Graphical User Interface for managing
the creation, configuration, testing  and deletion of ODBC data sources.

Authors:
--------
    general.information@openlinksw.com

SuSE series: ap

%prep
%setup
%patch
%patch1
%patch2

%build
%{suse_update_config -f admin/ iodbc/}
libtoolize --force
aclocal
(cd iodbc
   libtoolize --force
   rm acinclude.m4
   aclocal
   autoconf)
automake -a
autoconf
CFLAGS="$RPM_OPT_FLAGS" ./configure \
                       --prefix=/usr \
                       --enable-odbc3 \
                       --with-iodbc-inidir=/etc
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/etc
install -m 644 etc/odbc.ini.sample $RPM_BUILD_ROOT/etc/odbc.ini
install -m 644 etc/odbcinst.ini.sample $RPM_BUILD_ROOT/etc/odbcinst.ini
cd $RPM_BUILD_ROOT/usr/lib/
for i in *.la ; do
   sed -e "s: -L/usr/src[^ ]*::g" $i > $i.n
   mv $i.n $i
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
/usr/lib/libiodbc.so.*
%config /etc/*.ini

%files devel
%defattr(-,root,root)
/usr/include/*
/usr/bin/iodbc-config
/usr/lib/libiodbc.so
/usr/lib/libiodbc.a
/usr/lib/libiodbc.la

%files -n iodbcadm
%defattr(-,root,root)
/usr/bin/iodbcadm-gtk
/usr/lib/libdrvproxy-gtk.*
/usr/lib/libdrvproxy.*
/usr/lib/libiodbcadm-gtk.*
/usr/lib/libiodbcadm.*
/usr/lib/libiodbcinst.*

%changelog -n libiodbc
* Mon Jun 18 2001 - cihlar@suse.cz
- fixed BuildRoot and autoconf
* Fri Jun 15 2001 - cihlar@suse.cz
- use libtoolize --force also in subdir
* Tue Jun 12 2001 - cihlar@suse.cz
- added libtoolize --force - fixed to compile
  with BuildRoot
* Wed Jun 06 2001 - cihlar@suse.cz
- fixed to compile with new libtool
* Wed May 23 2001 - schwab@suse.de
- Fix missing declaration.
* Thu May 17 2001 - cihlar@suse.cz
- fixed cast warnings on ia64
* Sun Apr 01 2001 - poeml@suse.de
- add Conflicts: with unixODBC*
* Mon Mar 26 2001 - cihlar@suse.cz
- fixed to compile
* Thu Mar 08 2001 - cihlar@suse.cz
- fixed neededforbuild
- fixed call of suse_update_config
* Wed Jan 03 2001 - cihlar@suse.cz
- fixed version number of libraries
* Fri Dec 15 2000 - cihlar@suse.cz
- update to version 3.0.4
- iodbcadm is created from this package now
* Wed Nov 22 2000 - cihlar@suse.cz
- renamed iodb_dev -> libiodbc-devel
- bzipped sources
* Tue Jun 27 2000 - cihlar@suse.cz
- package created
